%define name	eog
%define version	0.4
%define release 3mdk

Summary:	The Eye of GNOME image viewer
Name:     	%name
Version: 	%version
Release:	%release
Copyright:	GPL
Group:		Graphical desktop/GNOME
Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/stable/%{name}/%{name}-%{version}.tar.bz2
Patch0:		eog-0.4-gconf.patch.bz2
Source1:	eog-48.xpm.bz2
Source2:	eog-32.xpm.bz2
Source3:	eog-16.xpm.bz2
Source4:	eog-48.png.bz2
URL:		http://www.gnome.org/
Packager:	Renaud Chaillat <rchaillat@mandrakesoft.com>

Requires:	gnome-libs 
Requires:	gdk-pixbuf >= 0.7.0
Requires:	bonobo 
Requires:	oaf 
Requires:	gnome-print >= 0.18
Requires:	libglade
Requires:	GConf >= 0.8 
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	GConf-devel >= 0.8
BuildRequires: gdk-pixbuf-devel XFree86-devel gnome-libs-devel audiofile-devel esound-devel imlib-devel libjpeg-devel libpng-devel libtiff-devel zlib-devel


%description
Eye of GNOME is a tool for viewing/cataloging images.

%prep
%setup -q
#remove gconf registration (postpone to postinstall)
#else you need to be root to create the package...
%patch0 -p1 -b .orig


%build
#automake to take into account the patch
automake


#%configure --without-bonobo
%configure
if [ x"$SMP" !=x""]; then
		(make MAKE="make -j $SMP -k"; exit 0)
		make
else
		make
fi
		

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%{find_lang} %{name}
#store shemas file
cp %{name}.schemas  $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas

# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="%{name}.xpm" section="Multimedia/Graphics" \
title="Eye of Gnome" longtitle="Eye of Gnome Image Viewer"
EOF

#icon
install -d $RPM_BUILD_ROOT/%{_iconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
install -d $RPM_BUILD_ROOT/%{_miconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.xpm
# png is anti-aliased when put on the gnome panel
bzcat %{SOURCE4} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT


%post  
%{update_menus}
#gconf registration
GCONF_CONFIG_SOURCE="xml::%{_sysconfdir}/gconf/gconf.xml.defaults" \
	%{_bindir}/gconftool --makefile-install-rule		   \
	 %{_sysconfdir}/gconf/schemas/%{name}.schemas

%postun
%{clean_menus}


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README

%{_bindir}/*
%config %{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/%{name}
%{_datadir}/oaf/*
%{_menudir}/*
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.xpm

%changelog
* Tue Aug 29 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.4-3mdk
- changed icons to xpm

* Thu Aug 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.4-2mdk
- add 32 and 16 icons

* Mon Aug 22 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.4-1mdk
- further macroszification
- added requirements
- patch to remove gconf registration in Makefile.am
- added gconf registration in post install
- added new files
- compilation with bonobo
- changed icon to eog shipped icon (gnome-eog.png)
- config without 'no replace' on purpose (schemas are reference files 
  which must be on par with gconf database), tell me if it's wrong. 

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.3-8mdk
- automatically added BuildRequires

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 0.3-7mdk
- BM + macrozification.

* Wed Jul  5 2000 dam's <damien@mandrakesoft.com> 0.3-6mdk
- mandrake release.
- specfile cleanup.

* Mon May 15 2000 Pixel <pixel@mandrakesoft.com> 0.3-5mdk
- add buidrequire

* Wed May  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3-4mdk
- remove software version in the menu entry
- remove prefix for menu and icons
- remove directory owns of locales

* Sat Apr 29 2000 Daouda Lo <daouda@mandrakesoft.com> 0.3-3mdk
- fixed wrong version in menuentry (reported by andreas ;-)

* Fri Apr 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.3-2mdk
- icon 32*32 

* Tue Apr 24 2000 Daouda Lo <daouda@mandrakesoft.com> 0.3-1mdk
- release
* Tue Apr 18 2000 Daouda Lo <daouda@mandrakesoft.com> 0.2-2mdk
- fix %post

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.2-1mdk
- first Mandrake rpm.
- build from helix package.
- SMP build/check.
- add menu and icon file
